setwd("c:\\flora\\eq\\data")
source("../../other/asmisc.r")
library(MASS)

eq <- read.table("eq-s.dat", h=T, sep=";")
eql <- read.table("eq-l.dat", h=T, sep=";")

eq$VID <- recode (eq$N.POP, eql$N.POP, eql$SPECIES)
sp <- recode(eq$N.POP, eql$N.POP, as.character(eql$SPECIES))
sp.u <- c("arvense","fluviatile","hyemale","palustre","pratense","sylvaticum")
pr.u <- c("DL.R","DIA.ST","DIA.POL","N.REB","N.ZUB","DL.OSN.Z","DL.TR.V", "DL.BAZ","DL.PER","N.UG.PER")

eq.veg <- eq
eq.veg$SP <- sp
eq.veg$KOLO[is.na(eq.veg$KOLO)] <- 0
eq.veg <- eq.veg[eq.veg$KOLO == 0 & eq.veg$SP != "hyemale",]
SKV <- rep(0, nrow(eq.veg))
attach(eq.veg)
SKV[(SKV == "0") & (VET > 0 & SHIP == 1 & MRSH == 0 & VET == 2 & N.ZUB > 3 & N.ZUB < 12)] <- "sylvaticum"
SKV[(SKV == "0") & ((SHIP == 1) | (VET > 0 & MRSH == 0 & VET == 1 & DL.PER/(DL.TR.V + DL.OSN.Z + DL.OST.Z) > 1)) ] <- "pratense"
SKV[(DIA.ST > 4 & N.ZUB > 15 & DL.R > 500) | (VET < 2 & SHIP == 0 & SHOV == 0 & VET <= 1 & DIA.POL/DIA.ST > 5/6 & DIA.ST > 2 & N.ZUB > 6 & DL.R > 200)] <- "fluviatile"
SKV[(SKV == "0") & ((VET < 2 & SHIP == 0 & SHOV == 1 & DIA.POL/DIA.ST <= 2/3 & (DL.TR.V + DL.OSN.Z + DL.OST.Z)/DL.PER > 1.5 & DL.PER/DL.BAZ <= 3) | (MRSH == 1))] <- "palustre" 
SKV[(SKV == "0") & (VET < 2 & SHIP == 0 & SHOV == 1 & DIA.POL/DIA.ST <= 2/3 & DL.PER/(DL.TR.V + DL.OSN.Z + DL.OST.Z) > 1 & DL.PER/DL.BAZ > 3 & MRSH == 0)] <- "arvense"
detach(eq.veg)

NORD <- rep(0, nrow(eq.veg))
attach(eq.veg)
> NORD[(NORD == "0") & (DIA.POL/DIA.ST > 0.5 & N.ZUB > 9 & N.ZUB < 30 & VET < 2 & (DL.TR.V + DL.OSN.Z + DL.OST.Z)/DL.PER > 1)] <- "fluviatile"
> 
> NORD[(NORD == "0") & (DIA.POL/DIA.ST < 2/3 & VET == 2 & SRAS == 1)] <- "sylvaticum"
> 
> NORD[(NORD == "0") & (VET < 2 & (DL.TR.V + DL.OSN.Z + DL.OST.Z)/DL.PER > 1)] <- "palustre" 
> 
> NORD[(NORD == "0") & (DIA.ST > 0.5 & DIA.ST < 4.5 & TR.PER.Z == 2 & N.ZUB > 9)] <- "arvense"
> 
> NORD[(NORD == "0") & (DL.R > 160 & DL.R < 500 & DIA.ST > 0.5 & DIA.ST < 3.5 & TR.PER.Z == 1 & N.ZUB > 9)] <- "pratense"
NORD[(NORD == "0") & (DIA.POL/DIA.ST > 0.5 & N.ZUB > 9 & N.ZUB < 30 & VET < 2 & (DL.TR.V + DL.OSN.Z + DL.OST.Z)/DL.PER > 1)] <- "fluviatile"
NORD[(NORD == "0") & (DIA.POL/DIA.ST < 2/3 & VET == 2 & SRAS == 1)] <- "sylvaticum"
NORD[(NORD == "0") & (VET < 2 & (DL.TR.V + DL.OSN.Z + DL.OST.Z)/DL.PER > 1)] <- "palustre" 
NORD[(NORD == "0") & (DIA.ST > 0.5 & DIA.ST < 4.5 & TR.PER.Z == 2 & N.ZUB > 9)] <- "arvense"
NORD[(NORD == "0") & (DL.R > 160 & DL.R < 500 & DIA.ST > 0.5 & DIA.ST < 3.5 & TR.PER.Z == 1 & N.ZUB > 9)] <- "pratense"
detach(eq.veg)

eq.veg <- cbind (eq.veg, SKV, NORD)

eq.veg <- eq.veg[, -12]
eq.veg <- na.omit(eq.veg)
my.lda <- lda(scale(eq.veg[,c (2:18)]), eq.veg$VID)
my.p <- predict(my.lda, dimen=2)$x
misclass(predict(my.lda)$class, eq.veg$VID) 
my.man <- manova(as.matrix(eq.veg[,2:18]) ~ predict(my.lda)$class)
summary(my.man, test="Wilks")

skv.lda <- lda(scale(eq.veg[,c (2:18)]), eq.veg$SKV)
skv.p <- predict(skv.lda, dimen=2)$x
misclass(predict(skv.lda)$class, eq.veg$SKV) 
skv.man <- manova(as.matrix(eq.veg[,2:18]) ~ predict(skv.lda)$class)
summary(skv.man, test="Wilks")

nord.lda <- lda(scale(eq.veg[,c (2:18)]), eq.veg$NORD)
nord.p <- predict(nord.lda, dimen=2)$x
misclass(predict(nord.lda)$class, eq.veg$NORD) 
nord.man <- manova(as.matrix(eq.veg[,2:18]) ~ predict(nord.lda)$class)
summary(nord.man, test="Wilks")
